Bug 979656 - Review Request: perl-Set-Array - Arrays as objects with lots of handy methods
Review Request: perl-Set-Array - Arrays as objects with lots of handy methods
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 987717
  Show dependency treegraph
 
Reported: 2013-06-29 02:42 EDT by Christopher Meng
Modified: 2013-07-23 21:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Set-Array-0.29-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 20:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 02:42:09 EDT
Spec URL: http://cicku.me/perl-Set-Array.spec
SRPM URL: http://cicku.me/perl-Set-Array-0.28-1.fc20.src.rpm
Description: Set::Array allows you to create arrays as objects and use OO-style methods
on them. Many convenient methods are provided here that appear in the
FAQ's, the Perl Cookbook or posts from comp.lang.perl.misc. In addition,
there are Set methods with corresponding (overloaded) operators for the
purpose of Set comparison, i.e. +, ==, etc.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-02 23:56:29 EDT
This package is not acceptable in Fedora as upstream clearly mentioned its released under Artistic 1.0 license.

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Bad_Licenses

See if upstream can release it under same license as Perl itself and then re-open this with new tarball.
Comment 2 Christopher Meng 2013-07-03 00:15:04 EDT
I'll ask if the author can change, then handle the bug.
Comment 3 Christopher Meng 2013-07-03 06:14:31 EDT
Upstream said that the worng license is a typo, so this package can be packaged now.

NEW SPEC URL: http://cicku.me/perl-Set-Array.spec
NEW SRPM URL: http://cicku.me/perl-Set-Array-0.29-1.fc20.src.rpm
Comment 4 Parag AN(पराग) 2013-07-11 00:52:18 EDT
Review:

+ mock build is successful for f20

- rpmlint output on rpms gave
perl-Set-Array.noarch: W: spelling-error %description -l en_US lang -> Lang, lag, slang
perl-Set-Array.noarch: W: file-not-utf8 /usr/share/doc/perl-Set-Array-0.29/Changelog.ini
perl-Set-Array.noarch: W: file-not-utf8 /usr/share/doc/perl-Set-Array-0.29/Changes
perl-Set-Array.src: W: spelling-error %description -l en_US lang -> Lang, lag, slang
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
==> Fix the rpmlint warnings

+ Source verified with upstream as (sha256sum)
srpm tarball     : 4e1e35ae5480310032754f5410eaba9381c6c84c992d6f6ec59aad2b84c38c3d
upstream tarball : 4e1e35ae5480310032754f5410eaba9381c6c84c992d6f6ec59aad2b84c38c3d

+ License "Artistic 2.0" is valid.

+ rest follows packaging guidelines

+ make test is successful with output
All tests successful.

+ Package: perl-Set-Array-0.29-1.fc20.noarch
Provides: perl(Set::Array) = 0.29 perl-Set-Array = 0.29-1.fc20
Requires: perl(Carp) perl(Try::Tiny) perl(Want) perl(attributes) perl(strict) perl(subs)

suggestions:
1) Remove Changelog.ini as it looks same as Changes file.

2) Fix rpmlint file-not-utf8 by adding following to %prep
iconv -f iso8859-1 -t utf-8 Changes > Changes.conv && mv -f Changes.conv Changes

3) Remove commented lines if you are not planning to use them.
Comment 5 Christopher Meng 2013-07-11 01:04:29 EDT
Hi,

The author just changed the license, as a result my waiting is over, I will update soon.
Comment 6 Parag AN(पराग) 2013-07-11 01:11:43 EDT
License changed again from Artistic 2.0 ??
Comment 7 Christopher Meng 2013-07-11 01:33:17 EDT
Ah....

Wrong paste to the bug...


NEW SPEC URL: http://cicku.me/perl-Set-Array.spec
NEW SRPM URL: http://cicku.me/perl-Set-Array-0.29-2.fc20.src.rpm

Besides I have no commented lines in spec.
Comment 8 Parag AN(पराग) 2013-07-11 01:37:31 EDT
Looks good.

APPROVED.
Comment 9 Christopher Meng 2013-07-11 01:44:26 EDT
New Package SCM Request
=======================
Package Name: perl-Set-Array
Short Description: Arrays as objects with lots of handy methods
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 10 Gwyn Ciesla 2013-07-11 06:48:51 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-07-12 03:38:32 EDT
perl-Set-Array-0.29-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Set-Array-0.29-2.fc19
Comment 12 Fedora Update System 2013-07-12 03:39:16 EDT
perl-Set-Array-0.29-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Set-Array-0.29-2.fc18
Comment 13 Fedora Update System 2013-07-12 21:49:45 EDT
perl-Set-Array-0.29-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-07-21 20:37:38 EDT
perl-Set-Array-0.29-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-07-21 20:38:30 EDT
perl-Set-Array-0.29-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.